org.apache.ignite.internal.processors.odbc

## Class OdbcQueryGetColumnsMetaRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.OdbcRequest
  - - org.apache.ignite.internal.processors.odbc.OdbcQueryGetColumnsMetaRequest

    public class OdbcQueryGetColumnsMetaRequest
    extends OdbcRequest

ODBC query get columns meta request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.OdbcRequest

`CLOSE_SQL_QUERY, EXECUTE_SQL_QUERY, FETCH_SQL_QUERY, GET_COLUMNS_META, GET_PARAMS_META, GET_TABLES_META, HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryGetColumnsMetaRequest(String cacheName, String tableName, String columnName)`

### Method Summary

Methods
`String` `cacheName()`
`String` `columnName()`
`String` `tableName()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.OdbcRequest

`command`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcQueryGetColumnsMetaRequest

    public OdbcQueryGetColumnsMetaRequest(String cacheName,
                                  String tableName,
                                  String columnName)

Parameters:
  `cacheName` - Cache name.
  `tableName` - Table name.
  `columnName` - Column name.

### Method Detail

#### cacheName

    @Nullable
    public String cacheName()

Returns:
  Cache name.

#### tableName

    public String tableName()

Returns:
  Table name.

#### columnName

    public String columnName()

Returns:
  Column name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017